# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "templito"
version = "0.4.12"
authors = ["storyfeet <thebeaky@psmail.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A template language library that allows multiple parameters to pass between templates"
readme = "readme.md"
keywords = [
    "template",
    "language",
    "html",
]
license = "MIT"
repository = "https://github.com/storyfeet/templito"

[lib]
name = "templito"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.31"

[dependencies.base64]
version = "0.13.0"

[dependencies.card_format]
version = "0.2.2"

[dependencies.chrono]
version = "0.4.15"

[dependencies.err_tools]
version = "0.1.1"

[dependencies.gobble]
version = "0.6.3"

[dependencies.image]
version = "0.23.11"

[dependencies.imagesize]
version = "0.8.8"

[dependencies.iter_tools]
version = "0.24.0"

[dependencies.pulldown-cmark]
version = "0.7.2"

[dependencies.rand]
version = "0.7.3"

[dependencies.regex]
version = "1.3.9"

[dependencies.serde]
version = "1.0.114"

[dependencies.serde_json]
version = "1.0.57"

[dependencies.thiserror]
version = "1.0.20"

[dependencies.toml]
version = "0.5.6"
